SystemOrganization addCategory: #SwaSqueak!

Object subclass: #SwaSqueakShortcuts
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SwaSqueak'!

!SwaSqueakShortcuts commentStamp: 'tfel 10/20/2010 11:49:39.144' prior: 0!
A class providing a few shortcut methods for setup of new SWA images.!

!SwaSqueakShortcuts class methodsFor: 'installing' stamp: 'tfel 10/20/2010 11:46:52.973'!
installCodeTalk

	((Installer mc http: 'http://www.hpi.uni-potsdam.de/hirschfeld/squeaksource/')
		project: 'MetacelloRepository') install: 'ConfigurationOfCodeTalk'.
	ConfigurationOfCodeTalk load.! !

!SwaSqueakShortcuts class methodsFor: 'installing' stamp: 'tfel 10/20/2010 11:48:10.403'!
installMinimalSet

	self
		installOCompletion;
		installCodeTalk.! !

!SwaSqueakShortcuts class methodsFor: 'installing' stamp: 'tfel 10/20/2010 11:47:06.385'!
installOCompletion

	(Installer ss project: 'MetacelloRepository') install: 'ConfigurationOfOCompletion'.
	((Smalltalk at: #ConfigurationOfOCompletion) project perform: #lastVersion) load.
! !

!SwaSqueakShortcuts class methodsFor: 'installing' stamp: 'tfel 10/20/2010 11:47:43.092'!
installOmniBrowser

	(Installer ss project: 'MetacelloRepository') install: 'ConfigurationOfOmniBrowser'.
	((Smalltalk at: #ConfigurationOfOmniBrowser) project perform: #lastVersion) load: #(Dev).! !

!SwaSqueakShortcuts class methodsFor: 'preferences' stamp: 'tfel 10/20/2010 11:45:10.531'!
setSwaPreferences
	"Applies a set of Preferences to the trunk image which we want to have in vanilla SWA
	images"
	
	World color: Preferences defaultWorldColor.
	TextEditor autoEnclose: true.
	MCConfiguration extraProgressInfo: true.
	SystemWindow 
		hideExpandButton: true;
		reuseWindows: true.
	PluggableButtonMorph roundedButtonCorners: false.
	Preferences
		enable: #infiniteUndo;
		enable: #multipleTextUndo;
		enable: #higherPerformance;
		enable: #annotationPanes;
		disable: #fastDragWindowForMorphic;
		disable: #fullScreenLeavesDeskMargins;
		disable: #mercuryPanel.
	self setSwaUpdateSite.! !

!SwaSqueakShortcuts class methodsFor: 'preferences' stamp: 'tfel 10/20/2010 11:45:22.744'!
setSwaUpdateSite

	MCMcmUpdater defaultUpdateURL:
			'http://www.hpi.uni-potsdam.de/hirschfeld/squeaksource/swasqueak'.! !
